package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class PagerModel<T> {
    private List<T> data;
    private Pager pagination;

    public List<T> getData() {
        return data;
    }

    public void setData(List<T> data) {
        this.data = data;
    }

    public Pager getPagination() {
        return pagination;
    }

    public void setPagination(Pager pagination) {
        this.pagination = pagination;
    }

    public static class Pager {
        private long total;
        private long count;
        private long skip;
        private long limit;

        public long getTotal() {
            return total;
        }

        public void setTotal(long total) {
            this.total = total;
        }

        public long getCount() {
            return count;
        }

        public void setCount(long count) {
            this.count = count;
        }

        public long getSkip() {
            return skip;
        }

        public void setSkip(long skip) {
            this.skip = skip;
        }

        public long getLimit() {
            return limit;
        }

        public void setLimit(long limit) {
            this.limit = limit;
        }
    }
}
